PAPI_read(3)

NAME
PAPI_read - Read hardware counters from an event set.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
     int PAPI_read(int EventSet, long_long * values );

PAPI_read() copies the counters of the indicated event set into the provided array.

The counters continue counting after the read.

Note the differences between PAPI_read() and PAPI_accum(), specifically that PAPI_accum() resets the values array to zero.

PAPI_read() assumes an initialized PAPI library and a properly added event set.

Parameters
    EventSet -- an integer handle for a PAPI Event Set as created by PAPI_create_eventset()
    *values -- an array to hold the counter values of the counting events

Return values
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ESYS A system or C library call failed inside PAPI, see the errno variable.
    PAPI_ENOEVST The event set specified does not exist.

Examples

    do_100events();
    if (PAPI_read(EventSet, values) != PAPI_OK)
       handle_error(1);
    // values[0] now equals 100
    do_100events();
    if (PAPI_accum(EventSet, values) != PAPI_OK)
       handle_error(1);
    // values[0] now equals 300
    values[0] = -100;
    do_100events();
    if (PAPI_accum(EventSet, values) != PAPI_OK)
        handle_error(1);
    // values[0] now equals 0

See also
    PAPI_accum

    PAPI_start

    PAPI_stop

    PAPI_reset

Author

Generated automatically by Doxygen for PAPI from the source code.